header {
  position: relative;
  width: 100%;
  height: 90vh;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  transition: backround-image 3sease-in-out;
  animation: animate 25s 0s ease-in-out infinite;
}

/* language changer style */
.header-content-holder {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 90vh;
  background: rgba(0, 0, 0, 0.5);
}
/* navigation */
/* top-navigation */
/* active link class */
/* navigation */
/* top-navigation */
/* active link class */
.active {
  border: 2px solid var(--hover-color);
  padding: 0.5rem;
  border-radius: 5px;
}
.active a {
  color: var(--background-color);
}
.nav-container {
  display: flex;
  flex-direction: column;
  background: var(--secondary-color);
  z-index: 999;
}
.top-navigation {
  padding: 0.7rem;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2.4rem;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

/* start from here to copy drop down */
.top-navigation div {
  display: flex;
  justify-content: center;
  align-items: center;
}
.top-navigation div i {
  margin-right: 0.4rem;
  color: var(--icon-color);
}
.top-navigation .nav4 {
  list-style: none;
  background: var(--hover-color);
}
.nav4 li {
  display: block;
  position: relative;
  padding: 6px 25px;
  color: var(--secondary-color);
  text-decoration: none;
  text-align: center;
}
.nav4 li .countries {
  width: 100%;
  background: var(--hover-color);
  position: absolute;
  right: 0;
  z-index: 999;
  display: none;
}
.nav4 .countries li {
  padding: 0.9rem 1rem;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
}
.nav4 .countries li:hover {
  background: #01254c;
}
.nav4 li:hover .countries {
  display: block;
}
#country-drop-icon {
  width: 1.2rem;
  cursor: pointer;
}
/* end the copy here */

#open-menu,
#close-menu {
  display: none;
  color: var(--secondary-color);
  font-size: 2.3rem;
}

nav img {
  width: 4rem;
}
.hide-show {
  display: inline-block;
}

#nav-links li a i {
  color: var(--hover-color);
}

.countries img {
  width: 1.5rem;
  margin-right: 0.5rem;
}
nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0.6rem 3rem;
}
#navigation {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.5rem;
}

/* #navigation li:hover{
    background: var(--hover-color);
    color: var(--secondary-color);
    padding: 0.5rem;
}
#navigation li:hover a{
    color: var(--secondary-color);
} */
.nav-links li {
  padding: 0.6rem 0.7rem;
  list-style: none;
  color: var(--primary-color);
  cursor: pointer;
  font-weight: 400;
}
.nav-links li a {
  text-decoration: none;
  font-size: 1.1rem;
  color: var(--primary-color);
}
.nav-links li i {
  color: var(--icon-color);
}
.nav-links li a i {
  color: var(--icon-color);
}

.service-list {
  margin: 0;
  padding: 0;
  position: relative;
  list-style: none;
  background: var(--secondary-color);
}
.service-list span {
  display: block;
  padding: 10px 0;
  color: var(--primary-color);
  text-decoration: none;
  text-align: center;
  font-weight: 400;
}
.service-list .sv-drop {
  padding: 0.6rem 1rem;
  width: inherit;
  background: var(--hover-color);
  position: absolute;
  left: 0;
  z-index: 999;
  display: none;
}
.service-list .sv-drop li a {
  color: var(--secondary-color);
  width: 100%;
}
.service-list .sv-drop li {
  padding-top: 0.7rem;
}
.service-list:hover .sv-drop {
  display: block;
}
#country-drop-icon {
  width: 1.4rem;
  margin: 0.5rem;
  cursor: pointer;
}
/* teams container */
#teams-container {
  position: relative;
  background: var(--secondary-color);
}
#teams-container ul {
  background: var(--secondary-color);
  position: absolute;
  top: 1rem;
  padding: 1rem;
  display: none;
  z-index: 999;
}
#teams-container ul li {
  padding: 1rem;
  background: var(--secondary-color);
}
#teams-container ul li:hover {
  background: rgb(220, 219, 219);
}
#teams-container:hover ul {
  display: inline;
}

@keyframes animate {
  0%,
  100% {
    background-image: url(../images/new\ about\ bg.jpg);
  }
  25% {
    background-image: url(../images/new\ about\ bg.jpg);
  }
  50% {
    background-image: url(../images/new\ about\ bg.jpg);
  }
  75% {
    background-image: url(../gallery-img/newgalleryimg05.jpeg);
  }
}

/* header content */
.header-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.container {
  color: white;
  padding: 8rem 1rem;
  opacity: 0;
  transform: translateY(-20px);
  transition: opacity 1s ease, transform 1s ease;
  text-align: center;
  z-index: 0;
}
.container.visible {
  opacity: 1;
  transform: translateY(0);
}
.container h1 {
  font-size: 4.2rem;
  width: 75%;
  margin: auto;
}
button {
  background: var(--icon-color);
  margin-top: 10px;
  padding: 15px 40px;
  border: none;
}
button:hover {
  background-color: #0056b3;
}
.icon {
  font-size: 24px;
  margin-top: 10px;
}

.container p {
  width: 60%;
  margin: auto;
}
/* About Section */
/* News Section */
.sec-container .title {
  text-align: center;
  margin-bottom: 1rem;
}

.about-content {
  display: flex;

  justify-content: space-between;
  align-content: center;
}
.about-content img {
  align-self: flex-start;
  flex-basis: 50%;
  height: 20rem;
  padding: 0 1rem;
}
#about-btn {
  display: flex;
  justify-content: center;
  margin-top: 0rem;
}
.about-paragraphs {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  flex-basis: 60%;
}

/* News Section */
.sec-container .title {
  text-align: center;
}

.sec-container .title span {
  font-weight: 100;
  letter-spacing: 4px;
}
.sec-container-container .title h1 {
  color: var(--hover-color);
  font-size: 2rem;
}
.news-cards {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1rem;
}
.news-card {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  transition: 0.5s ease-in-out;
  padding: 0rem 0rem 1rem 1rem;
}
.news-card:hover {
  box-shadow: 0 8px 40px rgba(0, 0, 0, 0.2);
  transform: translateY(-5%);
}
.news-card #float {
  position: absolute;
  top: 0;
  right: 0;
  background: var(--hover-color);
  color: white;
  font-weight: bolder;
  padding: 1rem;
  font-size: 1rem;
}
.news-card img {
  height: 100%;
}

.news-card a button {
  background: var(--hover-color);
  color: white;
  border: none;
  padding: 0.6rem 1.1rem;
  font-weight: 550;
  justify-self: center;
}
.news-card a {
  display: flex;
  justify-content: center;
}
.news-card a button:hover {
  background: rgb(212, 212, 212);
  color: black;
  font-weight: bolder;
}
/* founder */
#fouder {
  margin: 0 0;
}
.founder {
  background: url(../images/realistic-white-golden-geometric-background_79603-2032.avif);
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  padding: 3rem 0.2rem 0 0.2rem;
}
.founder-container {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-top: 2rem;
  border-radius: 8px; /* Optional: rounded corners */
  padding: 10px;
}
.founder-container .founder-description {
  width: 100%;
  flex-basis: 60%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  text-align: start;
}

.founder-container .founder-description h2 {
  margin-bottom: 2rem;
  color: var(--hover-color);
}
.founder-container .founder-description a button {
  margin-top: 3rem;
}
.founder-container .founder-image img {
  width: 22rem;
}
.founder-card {
  /* position: relative; */
  /* height: 40rem; */
}
.founder-card a {
  /* position: absolute;
    bottom: 0;
    left: 5rem; */
  margin-bottom: 1rem;
}

.founder-card p {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2; /* Adjust this number to control the number of visible lines */
  overflow: hidden;
  text-overflow: ellipsis;
  max-height: 6em; /* Adjust based on line height */
  line-height: 1.5em; /* Adjust according to your design */
}

/* our parners */
.partners-logos {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
}

.button {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background-color: rgba(0, 0, 0, 0.5);
  color: white;
  border: none;
  padding: 10px;
  cursor: pointer;
  z-index: 10;
}
.button-prev {
  left: 10px;
}
.button-next {
  right: 10px;
}
/* @media (max-width: 768px) {
    .carousel-item {
        flex: 1 0 50%; 
    }
} */

/* ########## Footer ##########  */
#footer {
  background: var(--logo-color);
  color: var(--secondary-color);
  padding: 1.9rem 0 1rem 0;
}
/* nav top */
.top-footer {
  display: flex;
  flex-direction: row;
}
.top-nav1 {
  padding: 0.6rem 1.5rem;
}
.top-nav1 h2 {
  color: var(--secondary-color);
  margin-bottom: 1rem;
}
.footer-country-details {
  color: var(--border-color);
}
.footer-country-details:hover {
  color: var(--secondary-color);
}
.footer-country-details div i {
  color: var(--secondary-color) !important;
}

#footer h1 {
  color: var(--secondary-color);
  margin-bottom: 1.5rem;
  text-transform: none;
}

.footer-container {
  background: var(--logo-color);
  display: grid;
  align-items: first baseline;
  grid-template-columns: repeat(4, 1fr);
  gap: 5rem;
  padding: 1rem 0.8rem;
}
.footer-container .footer-sec2 {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.footer-container .footer-sec2 ul li:nth-child(1) {
  font-weight: bolder;
  font-size: 1.3rem;
}

.footer-container .footer-sec2 ul li {
  list-style: none;
  padding-top: 0.6rem;
  font-size: 1.1rem;
}
.footer-container .footer-sec2 ul li a {
  color: var(--secondary-color);
}
.footer-container .footer-sec3 input {
  margin-top: 0.6rem;
  padding: 9px 10px;
  outline: none;
  font-size: 16px;
}
.footer-container .footer-sec3 button {
  color: var(--primary-color);
  background: var(--secondary-color);
  margin-top: 0.6rem;
}
.footer-container div {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
}
.footer-container .footer-sec4 {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
}
.footer-container .footer-sec4 span {
  padding-top: 1rem;
}
.under-footer {
  background: var(--logo-color);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-top: 2px solid var(--secondary-color);
  padding: 2rem 0;
}

.under-footer .socials {
  display: flex;
  justify-content: center;
  align-items: center;
}
.under-footer .socials a i {
  background: var(--secondary-color);
  margin: 1.2rem 0.5rem;
  padding: 0.7rem;
  font-size: 1.4rem;
  /* border: 1px solid var(--secondary-color); */
  border-radius: 50%;
}

.under-footer .socials a i:hover {
  background: var(--secondary-color);
  color: var(--primary-color);
}

#footer-logo {
  width: 7rem;
  margin-bottom: 2.1rem;
}

/* ########### swiper ########### */
.swiper {
  width: 90%;
  height: 200px;
}
.swiper-wrapper img {
  width: 13.4rem;
}

/* bigger screen */
@media screen and (min-width: 1300px) {
  header {
    width: 100%;
    height: 80vh;
  }

  .header-content-holder {
    width: 100%;
    height: 80vh;
  }
  .container h1 {
    font-size: 4rem;

    width: 80%;
    margin: auto;
  }
}
@media screen and (max-width: 1150px) {
  .container h1 {
    font-size: 3.4rem;

    width: 90%;
    margin: auto;
  }
}
@media screen and (max-width: 1050px) {
  header {
    position: relative;
    width: 100%;
    height: 100vh;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    transition: backround-image 3sease-in-out;
    animation: animate 25s 0s ease-in-out infinite;
  }
  .header-content-holder {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100vh;
    background: rgba(0, 0, 0, 0.5);
  }

  .container h1 {
    font-size: 3rem;
    width: 80%;
    margin: auto;
  }
  .container p {
    width: 80%;
    margin: auto;
  }

  .news-cards {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;
  }
  .about-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
  }
  .about-content img {
    height: 20rem;
    width: 20rem;
  }
  /* founder */
  .founder-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-top: 1rem;
  }
  /* partners */
  .partners-logos {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
  }
  /* footer */
  .footer-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    padding: 2rem 2rem;
  }
  .nav-container {
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  }
}

@media screen and (max-width: 768px) {
  /* navigation */
  .news-cards {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;
  }
  /* partners */
  .partners-logos {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
  }
  /* footer container */

  .footer-container {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    padding: 2rem 2rem;
  }
}

@media screen and (max-width: 628px) {
  header {
    width: 100%;
    height: 80vh;
  }
  .header-content-holder {
    width: 100%;
    height: 80vh;
  }

  .container h1 {
    width: 100%;
    margin: auto;
  }
  .container p {
    width: 100%;
    margin: auto;
  }
  .news-cards {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 5rem;
  }
  /* partners */
  .partners-logos {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
  }
}
@media screen and (max-width: 450px) {
  header {
    width: 100%;
    height: 80vh;
  }
  .header-content-holder {
    width: 100%;
    height: 80vh;
  }
  .container h1 {
  }

  .news-cards {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 2rem;
  }
  /* partners */
  .partners-logos {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
  }
}
@media screen and (max-width: 380px) {
  header {
    width: 100%;
    height: 100vh;
  }
  .header-content-holder {
    width: 100%;
    height: 100vh;
  }
}
